Name:           gnview
Version:        0.8.12
Release:        1
Summary:        A GTK+ based 2ch BBS viewer

Group:          Applications/Internet
License:        GPL
URL:            http://gnview.sourceforge.jp/
Source0:        http://gnview.sourceforge.jp/gnview-0.8.12.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:       perl >= 5.6, perl-Gtk2 >= 1.143, perl-Gtk2-GladeXML >= 1.005, perl-libwww-perl, perl-Compress-Zlib, perl-HTML-Parser, perl-URI

%description
gnviewはギコナビの設定ファイル、ログデータを利用する2chビューアです。

%define _enable_debug_packages 0

%prep
%setup


%install
install -D -d $RPM_BUILD_ROOT/usr/bin
install -m 0755 gnview $RPM_BUILD_ROOT/usr/bin

install -D -d $RPM_BUILD_ROOT/usr/share/applications
install -m 0644 gnview.desktop $RPM_BUILD_ROOT/usr/share/applications

install -D -d $RPM_BUILD_ROOT/usr/share/doc/gnview
install -m 0644 AUTHORS COPYING ChangeLog NEWS README TODO $RPM_BUILD_ROOT/usr/share/doc/gnview

install -D -d $RPM_BUILD_ROOT/usr/share/gnview
install -m 0644 gnview.glade $RPM_BUILD_ROOT/usr/share/gnview
install -m 0644 1pix.png 1pix_glay.png gnview.png $RPM_BUILD_ROOT/usr/share/gnview
install -m 0644 gnview_firstrun.pl gnview_env.pl $RPM_BUILD_ROOT/usr/share/gnview
install -m 0644 gikoNavi.ini url.ini sent.ini $RPM_BUILD_ROOT/usr/share/gnview

install -D -d $RPM_BUILD_ROOT/usr/share/man/man1
install -m 0644 gnview.1.gz $RPM_BUILD_ROOT/usr/share/man/man1

install -D -d $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 0644 gnview.png $RPM_BUILD_ROOT/usr/share/pixmaps


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/usr/bin/gnview
/usr/share/applications/gnview.desktop
/usr/share/doc/gnview/AUTHORS
/usr/share/doc/gnview/COPYING
/usr/share/doc/gnview/ChangeLog
/usr/share/doc/gnview/NEWS
/usr/share/doc/gnview/README
/usr/share/doc/gnview/TODO
/usr/share/gnview/gnview.glade
/usr/share/gnview/1pix.png
/usr/share/gnview/1pix_glay.png
/usr/share/gnview/gnview.png
/usr/share/gnview/gnview_firstrun.pl
/usr/share/gnview/gnview_env.pl
/usr/share/gnview/gikoNavi.ini
/usr/share/gnview/url.ini
/usr/share/gnview/sent.ini
/usr/share/man/man1/gnview.1.gz
/usr/share/pixmaps/gnview.png

%changelog
